{
  "resourceType": "GMExtension",
  "resourceVersion": "1.2",
  "name": "AppodealAds",
  "androidactivityinject": "",
  "androidclassname": "AppodealAds",
  "androidcodeinjection": "\r\n<YYAndroidGradleDependencies>\r\n\r\n// appodeal\r\nimplementation(\"com.appodeal.ads:sdk:3.3.1.0\") {\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"adjust\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"appsflyer\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"facebook_analytics\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"firebase\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"sentry_analytics\"\r\n    }\r\n\r\n// mobile review\r\n//implementation 'com.google.android.play:core:1.8.0'\r\n// AppMetrica\r\n//implementation 'com.yandex.android:mobmetricalib:3.21.0'\r\n\r\n</YYAndroidGradleDependencies>\r\n\r\n\r\n\r\n<YYAndroidGradle>\r\nrepositories \r\n{\r\n    maven { url \"https://artifactory.appodeal.com/appodeal\" }\r\n} \r\n</YYAndroidGradle>\r\n\r\n\r\n\r\n<YYAndroidManifestManifestInject>\r\n\r\n<uses-permission android:name=\"com.google.android.gms.permission.AD_ID\"/>\r\n<uses-feature android:name=\"android.hardware.location\" android:required=\"false\" />\r\n<uses-feature android:name=\"android.hardware.location.network\" android:required=\"false\" />\r\n\r\n<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"\r\n\ttools:node=\"remove\" />\r\n<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"\r\n\ttools:node=\"remove\" />\r\n<uses-permission android:name=\"android.permission.QUERY_ALL_PACKAGES\"\r\n\ttools:node=\"remove\" />\r\n\r\n</YYAndroidManifestManifestInject>\r\n\r\n\r\n\r\n<YYAndroidManifestApplicationInject>\r\n\r\n<meta-data\r\n            android:name=\"com.google.android.gms.ads.APPLICATION_ID\"\r\n            android:value=\"@string/admob_id\"/>\r\n\r\nandroid:networkSecurityConfig=\"@xml/network_security_config\">\r\n<uses-library\r\n            android:name=\"org.apache.http.legacy\"\r\n            android:required=\"false\" />\r\n\r\n</YYAndroidManifestApplicationInject>\r\n\r\n\r\n\r\n<YYAndroidGradleAndroid>\r\n//    buildTypes { release { ndk {\r\n//    abiFilters 'armeabi-v7a', 'arm64-v8a'\r\n//    abiFilters.addAll(['armeabi-v7a', 'arm64-v8a'])\r\n//    }}}\r\n\r\ncompileOptions {\r\n         sourceCompatibility 1.8\r\n         targetCompatibility 1.8\r\n}\r\nlintOptions {\r\n        checkReleaseBuilds false\r\n        abortOnError false\r\n}\r\n</YYAndroidGradleAndroid>\r\n\r\n\r\n<YYAndroidStringValuesInjection>\r\n<string name=\"admob_id\">${YYEXTOPT_AppodealAds_admob_id}</string>\r\n</YYAndroidStringValuesInjection>\r\n",
  "androidinject": "\r\n\r\n<meta-data android:name=\"com.google.android.gms.ads.APPLICATION_ID\" android:value=\"@string/admob_id\"></meta-data>\r\n\r\nandroid:networkSecurityConfig=\"@xml/network_security_config\">\r\n<uses-library android:name=\"org.apache.http.legacy\" android:required=\"false\"></uses-library>\r\n\r\n",
  "androidmanifestinject": "\r\n\r\n<uses-permission android:name=\"com.google.android.gms.permission.AD_ID\"></uses-permission>\r\n<uses-feature android:name=\"android.hardware.location\" android:required=\"false\"></uses-feature>\r\n<uses-feature android:name=\"android.hardware.location.network\" android:required=\"false\"></uses-feature>\r\n\r\n<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\" tools:node=\"remove\"></uses-permission>\r\n<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\" tools:node=\"remove\"></uses-permission>\r\n<uses-permission android:name=\"android.permission.QUERY_ALL_PACKAGES\" tools:node=\"remove\"></uses-permission>\r\n\r\n",
  "androidPermissions": [
    "android.permission.ACCESS_NETWORK_STATE",
    "android.permission.INTERNET",
    "android.permission.WRITE_EXTERNAL_STORAGE",
    "android.permission.ACCESS_WIFI_STATE",
    "android.permission.VIBRATE",
  ],
  "androidProps": true,
  "androidsourcedir": "",
  "author": "",
  "classname": "AppodealAds",
  "copyToTargets": 35651596,
  "date": "2019-02-20T00:35:26",
  "description": "",
  "exportToGame": true,
  "extensionVersion": "3.3.1",
  "files": [
    {"resourceType":"GMExtensionFile","resourceVersion":"1.0","name":"AppodealAds.yy","constants":[
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"INTERSTITIAL","hidden":false,"value":"3",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_LOADED","hidden":false,"value":"0",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_FAILED","hidden":false,"value":"1",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_SHOWN","hidden":false,"value":"2",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"REWARDED_VIDEO","hidden":false,"value":"128",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_FINISHED","hidden":false,"value":"3",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_CLICKED","hidden":false,"value":"4",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_CLOSED","hidden":false,"value":"5",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"CB_REWARDED_VIDEO","hidden":false,"value":"\"rewarded_video\"",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"CB_INTERSTITIAL","hidden":false,"value":"\"interstitial\"",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_EXPIRED","hidden":false,"value":"6",},
        {"resourceType":"GMExtensionConstant","resourceVersion":"1.0","name":"APPODEAL_SHOWFAILED","hidden":false,"value":"7",},
      ],"copyToTargets":12,"filename":"AppodealAds.yy","final":"","functions":[
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_init","argCount":3,"args":[
            1,
            2,
            2,
          ],"documentation":"","externalName":"appodeal_init","help":"appodeal_init( appKey, adType, consent )","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_show","argCount":1,"args":[
            2,
          ],"documentation":"","externalName":"appodeal_show","help":"appodeal_show(adTypes)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_is_loaded","argCount":1,"args":[
            2,
          ],"documentation":"","externalName":"appodeal_is_loaded","help":"appodeal_is_loaded(adTypes)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_disable_network","argCount":1,"args":[
            1,
          ],"documentation":"","externalName":"appodeal_disable_network","help":"appodeal_disable_network(String)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_get_locale","argCount":0,"args":[],"documentation":"","externalName":"appodeal_get_locale","help":"appodeal_get_locale()","hidden":false,"kind":11,"returnType":1,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_set_testing","argCount":1,"args":[
            2,
          ],"documentation":"","externalName":"appodeal_set_testing","help":"appodeal_set_testing(boolean)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_disable_network_for_adtype","argCount":2,"args":[
            1,
            2,
          ],"documentation":"","externalName":"appodeal_disable_network_for_adtype","help":"appodeal_disable_network_for_adtype(String, adTypes)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_set_child_directed_treatment","argCount":1,"args":[
            2,
          ],"documentation":"","externalName":"appodeal_set_child_directed_treatment","help":"appodeal_set_child_directed_treatment(boolean)","hidden":false,"kind":11,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_autocache","argCount":0,"args":[
            2,
            2,
          ],"documentation":"","externalName":"appodeal_autocache","help":"appodeal_autocache(ad_type, boolean)","hidden":false,"kind":4,"returnType":2,},
        {"resourceType":"GMExtensionFunction","resourceVersion":"1.0","name":"appodeal_cache","argCount":0,"args":[
            2,
          ],"documentation":"","externalName":"appodeal_cache","help":"appodeal_cache(ad_type)","hidden":false,"kind":4,"returnType":2,},
      ],"init":"","kind":4,"order":[
        {"name":"appodeal_init","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_show","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_is_loaded","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_disable_network","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_get_locale","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_set_testing","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_disable_network_for_adtype","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_set_child_directed_treatment","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_autocache","path":"extensions/AppodealAds/AppodealAds.yy",},
        {"name":"appodeal_cache","path":"extensions/AppodealAds/AppodealAds.yy",},
      ],"origname":"extensions\\appodeal.ext","ProxyFiles":[],"uncompress":false,"usesRunnerInterface":false,},
  ],
  "gradleinject": "\r\n\r\n// appodeal\r\nimplementation(\"com.appodeal.ads:sdk:3.3.1.0\") {\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"adjust\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"appsflyer\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"facebook_analytics\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"firebase\"\r\n        exclude group: \"com.appodeal.ads.sdk.services\", module: \"sentry_analytics\"\r\n    }\r\n\r\n// mobile review\r\n//implementation 'com.google.android.play:core:1.8.0'\r\n// AppMetrica\r\n//implementation 'com.yandex.android:mobmetricalib:3.21.0'\r\n\r\n",
  "hasConvertedCodeInjection": true,
  "helpfile": "",
  "HTML5CodeInjection": "",
  "html5Props": false,
  "IncludedResources": [],
  "installdir": "",
  "iosCocoaPodDependencies": "",
  "iosCocoaPods": "",
  "ioscodeinjection": "<YYIosPlist>\r\n<key>NSAppTransportSecurity</key>\r\n<dict>\r\n    <key>NSAllowsArbitraryLoads</key>\r\n    <true/>\r\n    <key>NSAllowsArbitraryLoadsForMedia</key>\r\n    <true/>\r\n    <key>NSAllowsArbitraryLoadsInWebContent</key>\r\n    <true/>\r\n</dict>\r\n <key>GADApplicationIdentifier</key>\r\n    <string>ca-app-pub-3940256099942544~1458002511</string>\r\n</YYIosPlist>\r\n\r\n",
  "iosdelegatename": "",
  "iosplistinject": "\r\n<key>NSAppTransportSecurity</key>\r\n<dict>\r\n    <key>NSAllowsArbitraryLoads</key>\r\n    <true></true>\r\n    <key>NSAllowsArbitraryLoadsForMedia</key>\r\n    <true></true>\r\n    <key>NSAllowsArbitraryLoadsInWebContent</key>\r\n    <true></true>\r\n</dict>\r\n <key>GADApplicationIdentifier</key>\r\n    <string>ca-app-pub-3940256099942544~1458002511</string>\r\n",
  "iosProps": true,
  "iosSystemFrameworkEntries": [
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"AdSupport.framework","embed":0,"weakReference":true,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"AVFoundation.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CFNetwork.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreFoundation.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreGraphics.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreImage.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreLocation.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreMedia.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreMotion.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"CoreTelephony.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"EventKit.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"EventKitUI.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"libsqlite3.dylib","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"libxml2.2.dylib","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"libz.dylib","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"MediaPlayer.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"MessageUI.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"MobileCoreServices.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"QuartzCore.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"Security.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"Social.framework","embed":0,"weakReference":true,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"StoreKit.framework","embed":0,"weakReference":true,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"SystemConfiguration.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"Twitter.framework","embed":0,"weakReference":true,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"UIKit.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"WebKit.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"JavaScriptCore.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"AudioToolbox.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"GLKit.framework","embed":0,"weakReference":false,},
    {"resourceType":"GMExtensionFrameworkEntry","resourceVersion":"1.0","name":"ImageIO.framework","embed":0,"weakReference":false,},
  ],
  "iosThirdPartyFrameworkEntries": [],
  "license": "Free to use, also for commercial games.",
  "maccompilerflags": "",
  "maclinkerflags": "-ObjC",
  "macsourcedir": "",
  "options": [
    {"resourceType":"GMExtensionOption","resourceVersion":"1.0","name":"__extOptLabel","defaultValue":"test md md2 mda md3 ","description":"","displayName":"","exportToINI":false,"extensionId":null,"guid":"4e5ede94-0433-445a-82c5-0f8d3cd784c9","hidden":false,"listItems":[],"optType":5,},
    {"resourceType":"GMExtensionOption","resourceVersion":"1.0","name":"admob_id","defaultValue":"ca-app-pub-3561287242910331~6313482828","description":"test md md2 mda md3 \r\n","displayName":" admob_id","exportToINI":false,"extensionId":null,"guid":"ab3f6e2f-03db-474f-882a-01465d028379","hidden":false,"listItems":[
        "ca-app-pub-3940256099942544~1033173712",
        "ca-app-pub-3561287242910331~9970443202",
        "ca-app-pub-3561287242910331~7437041604",
        "ca-app-pub-3561287242910331~1017834801",
        "ca-app-pub-3561287242910331~6313482828",
      ],"optType":6,},
  ],
  "optionsFile": "options.json",
  "packageId": "",
  "parent": {
    "name": "Extension",
    "path": "folders/Extension.yy",
  },
  "productId": "",
  "sourcedir": "",
  "supportedTargets": 35651596,
  "tvosclassname": "",
  "tvosCocoaPodDependencies": "",
  "tvosCocoaPods": "",
  "tvoscodeinjection": "",
  "tvosdelegatename": "",
  "tvosmaccompilerflags": "",
  "tvosmaclinkerflags": "",
  "tvosplistinject": "",
  "tvosProps": false,
  "tvosSystemFrameworkEntries": [],
  "tvosThirdPartyFrameworkEntries": [],
}